:root {
    --my-light-blue: rgb(185, 213, 246);
    --text-light-blue: rgb(127, 170, 219);
    --text-dark-blue: rgb(70, 123, 184);
}

@font-face {
    font-display: swap;
    font-family: 'saitamaar';
    src: url(../../../assets/fonts/Saitamaar-Regular.woff2);
}

html {
    font-family: 'ms gothic';
    font-size: 1.1rem;
    color: var(--text-light-blue);

    background: linear-gradient(white, #d0e2f6);
}

h1, h2, h3 {
    font-family: 'saitamaar', 'ms gothic';
    margin: 0;
}

body {
    display: flex;
    gap: 2rem;

    margin: 0;

    height: 100vh;
}

.everything {

    width: 70vw;

    background-color: white;

    margin: auto;

    border: dashed var(--my-light-blue) 3px;

    opacity: 1;
    animation: fadeInUp 0.8s ease-out;

    display: flex;
    flex-direction: column;

    padding: 2rem;
    box-sizing: border-box;
}

.animation-1 {
    animation: fadeInUp 0.9s ease-out;
}

.animation-2 {
    animation: fadeInUp 1.3s ease-out;
}

.animation-3 {
    animation: fadeInUp 1.7s ease-out;
}

@keyframes fadeInUp {
  from {
    opacity: 0;
    transform: translateY(30px);
  }
  to {
    opacity: 1;
    transform: translateY(0);
  }
}

header {
    border: dashed var(--my-light-blue) 3px;
    border-width: 0 0 3px 0;
    padding-bottom: 1.5rem;
}

/*MAIN*/
main {
    display: flex;
}

.grid-container {
    display: grid;
    grid-template-areas: 
        "likes bio"
        "faves bio"
        "facts facts"
        "quizzes quizzes"
    ;
    gap: 1rem;

    margin: 2rem;

    height: 50vh;

    overflow-y: auto;
}

.likes, .favorites, .bio, .facts, .quizzes {
    border: solid var(--text-dark-blue) 2px;
}

.likes h3, .favorites h3, .bio h3, .facts h3, .quizzes h3 {
    color: var(--text-dark-blue);

    padding-left: 0.3rem;

    border: solid var(--text-dark-blue);
    border-width: 0 0 2px 0;
    background-color: var(--my-light-blue);
}

.likes p, .favorites p, .bio p, .facts p {
    padding-left: 1rem;
    padding-right: 1rem;
}

.likes {
    grid-area: likes;
}

.favorites {
    grid-area: faves;
}

.bio {
    grid-area: bio;
}

.facts {
    grid-area: facts;
}

.facts ul {
    list-style: none;
    padding: 0 1rem 0 1rem;
}

.quizzes {
    display: flex;
    flex-direction: column;
    gap: 1rem;
    grid-area: quizzes;
}

.quiz {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-bottom: 1rem;
}

.quiz a:hover {
    transform: translate(0);
    color: var(--my-light-blue);
}


/*RIGHT*/
.aditional-info {
    display: flex;
    flex-direction: column;
    gap: 1rem;
    align-items: center;

    border: dashed var(--my-light-blue);
    border-width: 0 0 0 3px;

    padding: 1.5rem 0 0 1.5rem;
}

.pastel-ink-drinking {
    width: 10rem;
    height: 10rem;

    border: solid var(--my-light-blue) 4px;
    border-radius: 50%;

    background-image: url(../../../assets/images/pastel-ink-drinking.jpg);
    background-size: 150%;
    background-position: -1.5rem -1rem;
}

.info-table {
    border-collapse: collapse;
}

.info-table thead th {
    background-color: var(--my-light-blue);
}

.info-table th, .info-table td {
    border: 2px solid var(--text-dark-blue);
    padding: 0.3rem 0.3rem;
    text-align: left;
}

#pastel-ink-button {
    width: 88px;
    height: 31px;

    transition: transform ease 200ms;
}

#pastel-ink-button:hover {
    transform: scale(110%);
}